> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/account.md).

# Account

## GET /api/Public/Account/userinfo

> User info

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.UserInfoResponse":{"type":"object","properties":{"userId":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"isRegistered":{"type":"boolean"},"loginProvider":{"type":"string","nullable":true},"hasRegistered":{"type":"boolean"},"isActive":{"type":"boolean"},"createdDate":{"type":"string","format":"date-time"},"lastLoginDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/userinfo":{"get":{"tags":["Account"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.UserInfoResponse"}}}}},"summary":"User info","operationId":"get_Account_userinfo"}}}}
```

## POST /api/Public/Account/logout

> Logout account

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/Account/logout":{"post":{"tags":["Account"],"responses":{"200":{"description":"OK"}},"summary":"Logout account","operationId":"post_Account_logout"}}}}
```

## GET /api/Public/Account/manageinfo

> Manage info

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ManageInfoResponse":{"type":"object","properties":{"localLoginProvider":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"externalLoginProviders":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ExternalLoginProvider"},"nullable":true},"hasPassword":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.ExternalLoginProvider":{"type":"object","properties":{"name":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/manageinfo":{"get":{"tags":["Account"],"parameters":[{"name":"returnUrl","in":"query","schema":{"type":"string"}},{"name":"generateState","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ManageInfoResponse"}}}}},"summary":"Manage info","operationId":"get_Account_manageinfo"}}}}
```

## POST /api/Public/Account/changepassword

> Change password

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.Models.ChangePasswordRequest":{"type":"object","properties":{"currentPassword":{"type":"string","nullable":true},"newPassword":{"type":"string","nullable":true},"confirmPassword":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/changepassword":{"post":{"tags":["Account"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.Models.ChangePasswordRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Change password","operationId":"post_Account_changepassword"}}}}
```

## POST /api/Public/Account/setpassword

> Set password

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SetPasswordRequest":{"required":["confirmPassword","newPassword"],"type":"object","properties":{"newPassword":{"minLength":6,"type":"string"},"confirmPassword":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/Public/Account/setpassword":{"post":{"tags":["Account"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SetPasswordRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Set password","operationId":"post_Account_setpassword"}}}}
```

## POST /api/Public/Account/register

> Register account

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.RegisterRequest":{"required":["confirmPassword","email","password"],"type":"object","properties":{"email":{"minLength":1,"type":"string","format":"email"},"password":{"minLength":6,"type":"string"},"confirmPassword":{"minLength":1,"type":"string"},"displayName":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/register":{"post":{"tags":["Account"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.RegisterRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Register account","operationId":"post_Account_register"}}}}
```

## GET /api/Public/Account/externallogins

> External logins

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ExternalLoginProvider":{"type":"object","properties":{"name":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/externallogins":{"get":{"tags":["Account"],"parameters":[{"name":"returnUrl","in":"query","schema":{"type":"string"}},{"name":"generateState","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ExternalLoginProvider"}}}}}},"summary":"External logins","operationId":"get_Account_externallogins"}}}}
```

## PUT /api/Public/Account/profile

> Profile account

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Account"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.Models.UpdateProfileRequest":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"phoneNumber":{"type":"string","nullable":true},"address":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Account/profile":{"put":{"tags":["Account"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.Models.UpdateProfileRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Profile account","operationId":"put_Account_profile"}}}}
```
